<div id="admin_redirect_main">
	<h1>Настройка перенаправлений</h1>
	<div><a href="{url}" title="назад"><img class="icon" src="/skins/default/images/icons/simple_arrow_left.png" alt="назад" /></a></div>
	{literal}
	<script type="text/javascript">
		function check_pattern()
		{
			pattern=document.getElementById('pattern').value;
			pattern=pattern.replace(/\//, "\\/");
			source=document.getElementById('source').value;
			link=document.getElementById('link').value;
			server=document.getElementById('server').innerHTML;
			try{
			document.getElementById('result').innerHTML=server+source.replace(RegExp(pattern, "g"), link);
			}catch(myErr){alert('Регулярное выражение не может быть обработано:\r\n'+myErr);}
		}
	</script>
	{/literal}

	<form method="post" action="">
		<fieldset>
			<h2>Правило</h2>
			<input type="hidden" name="token" value="{$_user->token}" />
			<input type="text" name="pattern" id="pattern" value="{$smarty.post.pattern|default:$pattern|escape}" /> паттерн (поддерживает регулярные выражения)<br />
			<input type="text" name="link" id="link" value="{$smarty.post.link|default:$link|escape}" /> ссылка<br />
			<input type="submit" value="сохранить" />
		</fieldset>
		<fieldset>
			<h2>Проверка</h2>
			Пройдя по адресу:<br />
			<span id="server">http://{$smarty.server.HTTP_HOST}</span><input id="source" type="text" name="check" value="" /> <a onclick="check_pattern();return false;" href="javascript:void(0)">проверить</a><br />
			посетитель попадет сюда:<br />
			<div id="result"></div>
		</fieldset>
	</form>
</div>